Loading...
Searching...
No Matches
LeafNode< BuildT >::ValueOnIterator Class Reference

Visits all active values in a leaf node. More...

`#include <nanovdb/util/GridBuilder.h>`

Inheritance diagram for LeafNode< BuildT >::ValueOnIterator:

## Public Member Functions

| ValueOnIterator ()
| ValueOnIterator (const LeafNode *parent)
ValueOnIterator & | operator= (const ValueOnIterator &)=default
ValueType | operator* () const
Coord | getCoord () const

## Detailed Description

template<typename BuildT>
class nanovdb::build::LeafNode< BuildT >::ValueOnIterator

Visits all active values in a leaf node.

## Constructor & Destructor Documentation

## ValueOnIterator() [1/2]

template<typename BuildT>

ValueOnIterator | ( |  | ) |

inline

## ValueOnIterator() [2/2]

template<typename BuildT>

ValueOnIterator | ( | const LeafNode * | parent | ) |

inline

## Member Function Documentation

## getCoord()

template<typename BuildT>

Coord getCoord | ( |  | ) | const

inline

## operator*()

template<typename BuildT>

ValueType operator* | ( |  | ) | const

inline

## operator=()

template<typename BuildT>

ValueOnIterator & operator= | ( | const ValueOnIterator & |  | ) |

default